/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_DRAFT_MAIN')
 CREATE TABLE T_RDESD_DRAFT_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_HZ_ENTITY')
 CREATE TABLE T_RDESD_FZZ_HZ_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FXMBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FXMMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FWCQK VARCHAR(50) DEFAULT ' ' NOT NULL,
FZCLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FJJKC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRYRG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJTR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWXZCTX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXCPSJF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQWXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXEQT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJNJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJWJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXEHJW DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_HZ_ENTITY_TP')
 CREATE TABLE T_RDESD_FZZ_HZ_ENTITY_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FXMBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FXMMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FWCQK VARCHAR(50) DEFAULT ' ' NOT NULL,
FZCLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FJJKC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRYRG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJTR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWXZCTX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXCPSJF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQWXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXEQT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJNJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJWJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJWJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXEHJW DECIMAL(23,10) DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_HZ_INFO_TP')
 CREATE TABLE T_RDESD_FZZ_HZ_INFO_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FZBHJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHZBHZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBNJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_HZ_INFO')
 CREATE TABLE T_RDESD_FZZ_HZ_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FZBHJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHZBHZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBNJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBHXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFYHXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTSXXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJJKCXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZJTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJQWXXJXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXEQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXEHJWXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_ZC_ENTITY')
 CREATE TABLE T_RDESD_FZZ_ZC_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FKJPZJZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRYRG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJTR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWXZCTX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXCPSJF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJNJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJWJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSFGD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERDATE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_ZC_ENTITY_TP')
 CREATE TABLE T_RDESD_FZZ_ZC_ENTITY_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FKJPZJZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRYRG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJTR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWXZCTX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXCPSJF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJNJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJWJG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSFGD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERDATE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_ZC_INFO')
 CREATE TABLE T_RDESD_FZZ_ZC_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FJEHJKJPZJZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZHTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJSFGD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXMBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FXMMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FWCQK VARCHAR(50) DEFAULT ' ' NOT NULL,
FZCLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEPROJECTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_ZC_INFO_TP')
 CREATE TABLE T_RDESD_FZZ_ZC_INFO_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FJEHJKJPZJZ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJRYRGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZHTRXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJZJFYXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWXZCTXXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJXCPSJFXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJQTXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJJNJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJWTJWJGXJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJEHJSFGD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXMBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FXMMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FWCQK VARCHAR(50) DEFAULT ' ' NOT NULL,
FZCLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEPROJECTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_WFT')
 CREATE TABLE T_RDESD_FZZMX_WFT (
FID BIGINT DEFAULT 0 NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FCOST BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FBASEPROJECT BIGINT DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRECOST BIGINT DEFAULT 0 NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_WFT_TP')
 CREATE TABLE T_RDESD_FZZMX_WFT_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FCOST BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FBASEPROJECT BIGINT DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRECOST BIGINT DEFAULT 0 NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_YFT')
 CREATE TABLE T_RDESD_FZZMX_YFT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEPROJECT BIGINT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPRECOST BIGINT DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FYFXMXX BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_YFT_TP')
 CREATE TABLE T_RDESD_FZZMX_YFT_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEPROJECT BIGINT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPRECOST BIGINT DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FYFXMXX BIGINT DEFAULT 0 NOT NULL
);



/**End C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_table.sql **/
