﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RDESD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_FTBL') 
 CREATE TABLE T_RDESD_FZZ_FTBL (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWEIGHTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROUPKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_FTBL_TP') 
 CREATE TABLE T_RDESD_FZZ_FTBL_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWEIGHTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROUPKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_FTJG') 
 CREATE TABLE T_RDESD_FZZ_FTJG (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FREPEATSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJFYID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_FTJG_TP') 
 CREATE TABLE T_RDESD_FZZ_FTJG_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FREPEATSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJFYID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RDESD_table.sql **/
