/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_constraint.sql **/
 EXEC P_ALTERPK 'PK_RDESD_DRAFT_MAIN', 'T_RDESD_DRAFT_MAIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DRAFT_MAIN_ORG') CREATE INDEX IDX_DRAFT_MAIN_ORG ON T_RDESD_DRAFT_MAIN ( FORGID ,FTAXORG );


 EXEC P_ALTERPK 'PK_RDESD_FZZ_HZ_ENTITY', 'T_RDESD_FZZ_HZ_ENTITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_HZ_SSBID') CREATE INDEX IDX_FZZ_HZ_SSBID ON T_RDESD_FZZ_HZ_ENTITY ( FEWBLXH ,FSBBID );


 EXEC P_ALTERPK 'PK_RDESD_FZZ_HZ_INFO', 'T_RDESD_FZZ_HZ_INFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_INFO_SSQ') CREATE INDEX IDX_FZZ_INFO_SSQ ON T_RDESD_FZZ_HZ_INFO ( FSBBID ,FSKSSQQ ,FSKSSQZ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_INFO_ORGID') CREATE INDEX IDX_FZZ_INFO_ORGID ON T_RDESD_FZZ_HZ_INFO ( FORGID );



 EXEC P_ALTERPK 'PK_RDESD_FZZ_HZ_ENTITY_TP', 'T_RDESD_FZZ_HZ_ENTITY_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_HZTP_SSBID') CREATE INDEX IDX_FZZ_HZTP_SSBID ON T_RDESD_FZZ_HZ_ENTITY_TP ( FEWBLXH ,FSBBID );


 EXEC P_ALTERPK 'PK_RDESD_FZZ_HZ_INFO_TP', 'T_RDESD_FZZ_HZ_INFO_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_INFOTP_SSQ') CREATE INDEX IDX_FZZ_INFOTP_SSQ ON T_RDESD_FZZ_HZ_INFO_TP ( FSBBID ,FSKSSQQ ,FSKSSQZ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_INFOTP_ORGID') CREATE INDEX IDX_FZZ_INFOTP_ORGID ON T_RDESD_FZZ_HZ_INFO_TP ( FORGID );




 EXEC P_ALTERPK 'PK_RDESD_FZZ_ZC_ENTITY', 'T_RDESD_FZZ_ZC_ENTITY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_ZC_SBBID') CREATE INDEX IDX_FZZ_ZC_SBBID ON T_RDESD_FZZ_ZC_ENTITY ( FSBBID );


 EXEC P_ALTERPK 'PK_RDESD_FZZ_ZC_ENTITY_TP', 'T_RDESD_FZZ_ZC_ENTITY_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_ZCTP_SBBID') CREATE INDEX IDX_FZZ_ZCTP_SBBID ON T_RDESD_FZZ_ZC_ENTITY_TP ( FSBBID );


 EXEC P_ALTERPK 'PK_RDESD_FZZ_ZC_INFO', 'T_RDESD_FZZ_ZC_INFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_ZC_SSQ') CREATE INDEX IDX_FZZ_ZC_SSQ ON T_RDESD_FZZ_ZC_INFO ( FSBBID ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_RDESD_FZZ_ZC_INFO_TP', 'T_RDESD_FZZ_ZC_INFO_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_ZCTP_ORG') CREATE INDEX IDX_FZZ_ZCTP_ORG ON T_RDESD_FZZ_ZC_INFO_TP ( FSBBID ,FORGID ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_RDESD_FZZMX_WFT', 'T_RDESD_FZZMX_WFT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_WFT_ORG') CREATE INDEX IDX_FZZ_WFT_ORG ON T_RDESD_FZZMX_WFT ( FTAXORG ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_RDESD_FZZMX_WFT_TP', 'T_RDESD_FZZMX_WFT_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_WFTP_ORG') CREATE INDEX IDX_FZZ_WFTP_ORG ON T_RDESD_FZZMX_WFT_TP ( FTAXORG ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_RDESD_FZZMX_YFT', 'T_RDESD_FZZMX_YFT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZMX_YFT_ORG') CREATE INDEX IDX_FZZMX_YFT_ORG ON T_RDESD_FZZMX_YFT ( FTAXORG ,FSKSSQQ ,FSKSSQZ );


 EXEC P_ALTERPK 'PK_RDESD_FZZMX_YFT_TP', 'T_RDESD_FZZMX_YFT_TP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZMX_FTP_ORG') CREATE INDEX IDX_FZZMX_FTP_ORG ON T_RDESD_FZZMX_YFT_TP ( FTAXORG ,FSKSSQQ ,FSKSSQZ );



/**End C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_constraint.sql **/
