﻿/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_RULE_GXGJLX_ENTRY') 
 CREATE TABLE T_RDESD_RULE_GXGJLX_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOSTTYPE BIGINT DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFCONDITIONJSON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FABSOLUTE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_RULE_GQGJLX') 
 CREATE TABLE T_RDESD_RULE_GQGJLX (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCOLLECTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_RULE_GQGJLX_L') 
 CREATE TABLE T_RDESD_RULE_GQGJLX_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_SBXMXX' AND KSQL_COL_NAME ='FPURPOSE') 
 ALTER TABLE T_RDESD_SBXMXX ADD (FPURPOSE VARCHAR(50) DEFAULT 'jjkc' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_XM' AND KSQL_COL_NAME ='FYFXMXX') 
 ALTER TABLE T_RDESD_FZZ_XM ADD (FYFXMXX BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_XM' AND KSQL_COL_NAME ='FSBXM') 
 ALTER TABLE T_RDESD_FZZ_XM ADD (FSBXM BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_FTBL') 
 CREATE TABLE T_RDESD_FZZ_GX_FTBL (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWEIGHTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROUPKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_FTBL_TP') 
 CREATE TABLE T_RDESD_FZZ_GX_FTBL_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEVPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWEIGHTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGROUPKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_FTBLTREE') 
 CREATE TABLE T_RDESD_FZZ_GX_FTBLTREE (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_GXBLTREE_ENTRY') 
 CREATE TABLE T_RDESD_GXBLTREE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_FTJG') 
 CREATE TABLE T_RDESD_FZZ_GX_FTJG (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FREPEATSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJFYID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_FTJG_TP') 
 CREATE TABLE T_RDESD_FZZ_GX_FTJG_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FGROUPDIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSHARETYPEID BIGINT DEFAULT 0 NOT NULL,
FSHARERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FREPEATSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJFYID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_GX_WFT') 
 CREATE TABLE T_RDESD_FZZMX_GX_WFT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBASEPROJECT BIGINT DEFAULT 0 NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FWITHINALLOCATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FREPEATSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTCENTER BIGINT DEFAULT 0 NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBKJJKC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_GX_WFT_TP') 
 CREATE TABLE T_RDESD_FZZMX_GX_WFT_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBASEPROJECT BIGINT DEFAULT 0 NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FWITHINALLOCATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FREPEATSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSTCENTER BIGINT DEFAULT 0 NOT NULL,
FPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBKJJKC CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_XM') 
 CREATE TABLE T_RDESD_FZZ_GX_XM (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FBASEPROJECTNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FBASEPROJECTNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSBXMXXNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FSBXMXXNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FXMLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTART DATETIME,
FEND DATETIME,
FSFKJJKC VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_GX_YFT') 
 CREATE TABLE T_RDESD_FZZMX_GX_YFT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZMX_GX_YFT_TP') 
 CREATE TABLE T_RDESD_FZZMX_GX_YFT_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FCOST BIGINT DEFAULT 0 NOT NULL,
FYFXMXX BIGINT DEFAULT 0 NOT NULL,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERREMARK VARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALANCELOCALCURRENCY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FGJYSLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FGJYSZ BIGINT DEFAULT 0 NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_ZC') 
 CREATE TABLE T_RDESD_FZZ_GX_ZC (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FRYRGFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJTRFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJFYYCQDTFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWXZCTXFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSJFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBTSFYYSYFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJNWBYJKFFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJWWBYJKFFY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_FZZ_GX_ZC_TP') 
 CREATE TABLE T_RDESD_FZZ_GX_ZC_TP (
FID BIGINT DEFAULT 0 NOT NULL,
FTAXORG BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FSBXM BIGINT DEFAULT 0 NOT NULL,
FRYRGFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJTRFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZJFYYCQDTFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWXZCTXFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSJFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FZBTSFYYSYFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJNWBYJKFFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWTJWWBYJKFFY DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_table.sql **/
