/**Begin C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_constraint.sql **/

EXEC P_ALTERPK 'PK_RDESD_FZZGX_FTHZ', 'T_RDESD_FZZ_GX_FTHZ', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_GXFTHZ_ORG') CREATE INDEX IDX_FZZ_GXFTHZ_ORG ON T_RDESD_FZZ_GX_FTHZ ( FTAXORG ,FSKSSQQ ,FSKSSQZ );


EXEC P_ALTERPK 'PK_RDESD_FZZGX_FTHZ_TP', 'T_RDESD_FZZ_GX_FTHZ_TP', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_GXFTHZ_ORG_TP') CREATE INDEX IDX_FZZ_GXFTHZ_ORG_TP ON T_RDESD_FZZ_GX_FTHZ_TP ( FTAXORG ,FSKSSQQ ,FSKSSQZ );


EXEC P_ALTERPK 'PK_RDESD_FZZ_FTHZ', 'T_RDESD_FZZ_FTHZ', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_FTHZ_ORG') CREATE INDEX IDX_FZZ_FTHZ_ORG ON T_RDESD_FZZ_FTHZ ( FTAXORG ,FSKSSQQ ,FSKSSQZ );


EXEC P_ALTERPK 'PK_RDESD_FZZ_FTHZ_TP', 'T_RDESD_FZZ_FTHZ_TP', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FZZ_FTHZ_ORG_TP') CREATE INDEX IDX_FZZ_FTHZ_ORG_TP ON T_RDESD_FZZ_FTHZ_TP ( FTAXORG ,FSKSSQQ ,FSKSSQZ );




--添加字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZMX_WFT_TP' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZMX_WFT_TP ADD (FMONTH  INT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZMX_WFT' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZMX_WFT ADD (FMONTH  INT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZMX_GX_WFT' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZMX_GX_WFT ADD (FMONTH  INT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZMX_GX_WFT_TP' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZMX_GX_WFT_TP ADD (FMONTH  INT DEFAULT 0 NOT NULL );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_GX_FTBL' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZ_GX_FTBL ADD (FMONTH  INT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_GX_FTBL_TP' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZ_GX_FTBL_TP ADD (FMONTH  INT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_FTBL' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZ_FTBL ADD (FMONTH  INT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_FTBL_TP' AND KSQL_COL_NAME ='FMONTH')
ALTER TABLE T_RDESD_FZZ_FTBL_TP ADD (FMONTH  INT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_FTBL' AND KSQL_COL_NAME ='FPAYTYPE')
ALTER TABLE T_RDESD_FZZ_FTBL ADD (FPAYTYPE  VARCHAR(50) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZ_FTBL_TP' AND KSQL_COL_NAME ='FPAYTYPE')
ALTER TABLE T_RDESD_FZZ_FTBL_TP ADD (FPAYTYPE  VARCHAR(50) DEFAULT ' ' NOT NULL );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZMX_WFT_TP' AND KSQL_COL_NAME ='FBYYFXM')
 ALTER TABLE T_RDESD_FZZMX_WFT_TP ADD (FBYYFXM CHAR(1) DEFAULT '0' NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_FZZMX_WFT' AND KSQL_COL_NAME ='FBYYFXM')
  ALTER TABLE T_RDESD_FZZMX_WFT ADD (FBYYFXM CHAR(1) DEFAULT '0' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RDESD_YFXMXX' AND KSQL_COL_NAME ='FPAYTYPE')
ALTER TABLE T_RDESD_YFXMXX ADD (FPAYTYPE  VARCHAR(50) DEFAULT ' ' NOT NULL );


EXEC P_ALTERPK 'PK_RDESD_FZZMX_WFT_REL_TP', 'T_RDESD_FZZMX_WFT_REL_TP', 'FENTRYID', '1';
EXEC P_ALTERPK 'PK_RDESD_FZZMX_WFT_REL', 'T_RDESD_FZZMX_WFT_REL', 'FENTRYID', '1';
EXEC P_ALTERPK 'PK_RDESD_GX_WFT_REL', 'T_RDESD_GX_WFT_REL', 'FENTRYID', '1';
EXEC P_ALTERPK 'PK_RDESD_GX_WFT_REL_TP', 'T_RDESD_GX_WFT_REL_TP', 'FENTRYID', '1';

EXEC P_ALTERPK 'PK_RDESD_FZZ_FTBL_REL_TP', 'T_RDESD_FZZ_FTBL_REL_TP', 'FENTRYID', '1';
EXEC P_ALTERPK 'PK_RDESD_FZZ_FTBL_REL', 'T_RDESD_FZZ_FTBL_REL', 'FENTRYID', '1';
EXEC P_ALTERPK 'PK_RDESD_FTBL_GX_REL', 'T_RDESD_FTBL_GX_REL', 'FENTRYID', '1';
EXEC P_ALTERPK 'PK_RDESD_FTBL_GX_REL_TP', 'T_RDESD_FTBL_GX_REL_TP', 'FENTRYID', '1';

/**End C:\anzhuang\PDM_UPGRADE\PDM1\RDESD_constraint.sql **/
